## ocaml-cow 1.0.0

=== Makefile ===
.PHONY: all clean depend install

all:
	./cmd configure
	./cmd build

install:
	./cmd install

clean:
	./cmd clean
	$(MAKE) -C tests clean

tests: all
	$(MAKE) -C tests clean
	$(MAKE) -C tests
	tests/render

=== tests/Makefile ===
P4OPTS = $(shell ocamlfind query str dyntype dyntype.syntax re re.str ulex xmlm ezjsonm -predicates syntax,preprocessor,byte -r -format "-I %d %a")
OPTS   = $(shell ocamlfind query dyntype re re.str ulex oUnit uri xmlm ezjsonm omd -predicates archives,byte -r -format "-I %d %a")
TEST = render #tc_marshall

PP   = $(TEST:%=%_pp.ml)
CMO  = $(TEST:%=%_pp.cmo)

.PHONY: all

all: $(TEST) $(PP)
	@

%_pp.ml: %.ml ../_build/syntax/pa_cow.cma
	camlp4o $(P4OPTS) -I ../_build/syntax pa_cow.cma $< -o $@

%: %.ml ../_build/syntax/pa_cow.cma
	ocamlc -g -pp 'camlp4o $(P4OPTS) -I ../_build/syntax pa_cow.cma' $(OPTS) -I ../_build/lib cow.cma $^ -o $@

clean:
	rm -f $(TEST) $(PP)

=== debian/changelog ===
ocaml-cow (1.0.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-cow
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxmlm-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 liburi-ocaml-dev,
 ocaml-dyntype-dev,
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 ocaml-native-compilers,
 ocaml-ezjsonm-dev,
 libounit-ocaml-dev,
 ocaml-omd-dev,
 ocaml-ulex,
 libre-ocaml-dev

Package: ocaml-cow
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XML, JSON, HTML, CSS, and Markdown syntax and libraries
  Writing web-applications requires a lot of skills: HTML, CSS, XML,
 JSON and Markdown, to name but a few! This library provides OCaml
 syntax extensions for these web formats by:
 .
 * extending standard OCaml syntax with embedded web DSLs. It has a
 quotation mechanism which parses HTML, CSS or XML to OCaml, and
 also anti-quotations that form a template mechanism.
 .
 * using type-driven code generation to generate markup directly from
 OCaml type declarations. It is possible to mix hand-written and
 generated code to deal with special-cases. Most of the work is done
 at pre-processing time, so there is no runtime costs and the
 generated   OCaml code can be manually inspected if desired.
 .
 Mre documentation at <https://github.com/mirage/ocaml-cow>

Package: ocaml-cow-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-cow (>= 1.0.0-1),
 ocaml-findlib,
 ocaml-nox,
 libtype-conv-camlp4-dev,
 ocaml-ulex,
 libre-ocaml-dev,
 libounit-ocaml-dev,
 liburi-ocaml-dev,
 libxmlm-ocaml-dev,
 ocaml-omd-dev,
 ocaml-ezjsonm-dev,
 ocaml-dyntype-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cow
 The ocaml-cow-devel package contains libraries and signature files
 for developing applications that use ocaml-cow.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-cow/usr/lib/ocaml/cow/*.a
	rm -f debian/ocaml-cow/usr/lib/ocaml/cow/*.cmxa
	rm -f debian/ocaml-cow/usr/lib/ocaml/cow/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
